Get Tms Share Agreement
curl --request GET \
--url https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": {}
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}TMS Share Agreements
Get Tms Share Agreement
Get detailed information about a specific TMS Share Agreement.
GET
/
v2
/
orgs
/
tms-share-agreements
/
{tms_share_agreement_id}
Get Tms Share Agreement
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
API model for reading a sharing agreement
Contains all the details about what TMS-sourced data you can access from a TMS account.
Unique agreement identifier
Your organization ID receiving access to TMS account data
The Catena TMS account ID sharing their data with you
The TMS invitation that was accepted to create this agreement, if any
Current state: ACTIVE (data access enabled) or DELETED (permanently removed)
Available options:
active, deleted Defines which TMS-sourced resources (loads, shipments, carriers, etc.) you can access and the permission level (read, write) for each.
Show child attributes
Show child attributes
Was this page helpful?
⌘I